---
title: "Overview"
---

## DD4hep 

DD4hep introduces the concept of a `DetElement` which is related to the volumes (logical volumes) and placed volumes but not in a strict way.
These elements build up a separate tree which describes the relationship between the volumes and the readout detectors. 
Through the unique BitField ID this allows position space information to be mapped to and from channel number/cell ID space.

![DetElement](DD4hep_block_diagram.svg)

## EIC Data model

### PODIO  

- Eicweb fork: https://eicweb.phy.anl.gov/EIC/podio
- AIDAsoft repo: https://github.com/AIDASoft/podio

### LCIO2 

[Defined in yaml 
file](https://eicweb.phy.anl.gov/EIC/podio/blob/master/lcio2/lcio-edm.yaml) 
which is used to generate C++ library.

![data model use](data_model_use2.png)

![data model layer](data_model_layers.png)


## NPDet - Nuclear physics detector library

As we will learn the compact detector description files are used to build detectors from a parameterized detector library. 
NPDet is a collection of _generic detectors_ and _concept detectors_. 

In a hack-a-thon we will add to this detector library.

